# Interface DecoderSettings

This type contains information needed to initialize the decoder.

#### Category

Inputs

#### Hierarchy

- DecoderSettings

- Defined in decoder/lib/types.ts:24

#####
Index

### Properties

ens?
projectInfo?
provider?

## Properties

### `Optional` ens

ens?: EnsSettings

This field can be included to enable or disable ENS resolution (and, in the future, reverse resolution) and specify how it should be performed. If absent, ENS resolution will be performed using the decoder's usual provider.

- Defined in decoder/lib/types.ts:51

### `Optional` projectInfo

projectInfo?: Compilations.ProjectInfo

Information about the project or contracts being decoded. This may come in several forms; see the type documentation for more information. The simplest way to use this to set it to `{ artifacts: <array of artifacts in project> }`.

This may be left out if an artifact or contract has been passed in by some other means, in which case the decoder will be made based purely on that single contract, but it's recommended to pass in project info for all your contracts to get the decoder's full power.

- Defined in decoder/lib/types.ts:36

### `Optional` provider

provider?: Provider

The provider for the decoder to use. This is required when using a provider-based constructor; otherwise an exception will be thrown. If the decoder is initialized with a Truffle Contract-based constructor, this is not expected to be passed. If it is passed, it will override the use of the given contract's provider.

- Defined in decoder/lib/types.ts:44

Generated using TypeDoc